Package com.pixelmed.convert

# Class TIFFToDicom.BitBuffer

java.lang.Object
com.pixelmed.convert.TIFFToDicom.BitBuffer

Enclosing class:
  TIFFToDicom

public class TIFFToDicom.BitBuffer extends Object
Copied from ij/io/BitBuffer.java A class for reading arbitrary numbers of bits from a byte array.

## Constructor Summary

Constructors
Constructor
Description
`BitBuffer(byte[] byteBuffer)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBits(int bitsToRead)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BitBuffer

public BitBuffer(byte[] byteBuffer)

## Method Details

### getBits

public int getBits(int bitsToRead)